using Colyseus.Schema;
#if UNITY_5_3_OR_NEWER
using UnityEngine.Scripting;
#endif

public partial class NetworkWorldObject : Schema
{
#if UNITY_5_3_OR_NEWER
    [Preserve]
#endif
    public NetworkWorldObject() { }

    [Type(0, "string")]
    public string objectId = "";

    [Type(1, "string")]
    public string objectType = "";

    [Type(2, "string")]
    public string state = "default";

    [Type(3, "string")]
    public string data = "";

    [Type(4, "string")]
    public string usedBy = "";
}
